# Manual installation - unencrypted

## Partitioning
```
mkpart bios_grub 1MiB 2MiB
set 1 bios_grub on
mkpart bios 2MiB 512MiB
set 2 esp on
mkpart pv 512MiB 100%
```

## LVM
```
pvcreate /dev/mmcblk0p3
vgcreate odroidh2p-0 /dev/mmcblk0p3
lvcreate -L 1g -n swap odroidh2p-0
lvcreate -L 32G -n nixos odroidh2p-0
```

## Filesystems

```
mkfs.fat -F 32 -n boot /dev/mmcblk0p2
mkfs.btrfs /dev/odroidh2p-0/nixos
mkswap /dev/odroidh2p-0/swap
# subvolume for rootfs and home
# mount at /mnt/nixos
mkdir -p /mnt/nixos/etc/boot/
```

## NixOS install

FIXME: why was this necessary?
```
mkdir -p /mnt/nixos/etc/nixos/
touch /mnt/nixos/etc/nixos/configuration.nix
```
