{ ... }:

let
  stage1Modules =  [
    # "aesni_intel"
    # "kvm-intel"
    "aes_x86_64"

    "mmc_block"
    "mmc_core"
    "sdhci_pci"
    "sdhci"
    "cqhci"
    "mii"
    "usbnet"
    "ax88179_178a"
    "libphy"
    "libata"
    "libahci"
    "usbcore"
    "xhci_hcd"
    "scsi_mod"


    "fat"
    "vfat"
	"i915"
	"mei_me"
	"ahci"
	"xhci_pci"
	"intel_lpss_pci"
	"intel_lpss_pci"
	"intel_lpss_pci"
	"intel_lpss_pci"
	"sdhci_pci"
	"i2c_i801"
	"r8169"
  ];

in
{
  fileSystems."/boot" = {
    device = "/dev/mmcblk0p2";
    fsType = "vfat";
  };

  fileSystems."/" = {
    device = "/dev/odroidh2p-0/nixos";
    fsType = "btrfs";
    options = [ "subvol=rootfs" ];
    neededForBoot = true;
  };

  fileSystems."/home" = {
    device = "/dev/odroidh2p-0/nixos";
    fsType = "btrfs";
    options = [ "subvol=home" ];
    neededForBoot = true;
  };

  swapDevices = [ { device = "/dev/odroidh2p-0/swap"; } ];

  boot.loader.grub = {
    device = "/dev/mmcblk0";
  };

  boot.initrd.availableKernelModules = stage1Modules;
  boot.initrd.kernelModules = stage1Modules;
  boot.extraModprobeConfig = ''
  '';
}
